/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../../style/utils/animations';

:host {
  outline: 0;
}

.nv-tab-button {
  cursor: pointer;
  display: inline-block;
  flex: 1 0 auto;
  font-family: 'FiraGO Bold';
  font-size: 18px;
  margin-right: $space-default;
  opacity: 0.55;
  overflow: hidden;
  padding: $space-default $space-sm;
  position: relative;

  &:last-child {
    margin-right: 0;
  }

  * {
    cursor: pointer;
  }


  &::before {
    @extend .transition-exit;

    background-color: var(--nv-theme-primary);
    bottom: 0;
    content: '';
    height: 4px;
    left: 50%;
    position: absolute;
    transform: translateX(-50%);
    transform-origin: center;
    transition-property: width;
    width: 0%;
    z-index: 2;
  }

  &.nv-tab-button-active {
    opacity: 1;

    &::before {
      @extend .transition-entrance;
      width: 100%;
    }
  }
}
